 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.HealthDiseaseEntity;
import com.huimv.management.service.HealthDiseaseService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Api(tags = "疾病表")
@RestController
@RequestMapping("management/healthdisease")
public class HealthDiseaseController {
    @Autowired
    private HealthDiseaseService healthDiseaseService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = healthDiseaseService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		HealthDiseaseEntity healthDisease = healthDiseaseService.getById(id);

        return R.ok().put("healthDisease", healthDisease);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody HealthDiseaseEntity healthDisease){
		healthDiseaseService.save(healthDisease);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody HealthDiseaseEntity healthDisease){
		healthDiseaseService.updateById(healthDisease);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		healthDiseaseService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }
    /**
     * 查询全部
     */
    @RequestMapping("/findAll")
    public R findAll(){
        return R.ok().put("all",healthDiseaseService.list());
    }

}
